# Uses of Interface
java.applet.AudioClip

Packages that use AudioClip
Package
Description
java.applet
Provides the classes necessary to create an applet and the classes an applet uses to communicate with its applet context.

## Uses of AudioClip in java.applet

Methods in java.applet that return AudioClip
Modifier and Type
Method
Description
`AudioClip`
Applet.`getAudioClip​(URL url)`
Deprecated.
Returns the `AudioClip` object specified by the `URL` argument.
`AudioClip`
Applet.`getAudioClip​(URL url, String name)`
Deprecated.
Returns the `AudioClip` object specified by the `URL` and `name` arguments.
`AudioClip`
AppletContext.`getAudioClip​(URL url)`
Deprecated.
Creates an audio clip.
`static AudioClip`
Applet.`newAudioClip​(URL url)`
Deprecated.
Get an audio clip from the given `URL`.